Subject: bug#4837: with-fewer-warnings ?

From: Glenn Morris <[email-masked]>
Date: Mon, 09 Nov 2009 21:09:43 -0500

Stefan Monnier wrote:

> Actually, I think I agree (I hate with-no-warnings), but it should be
> even more precise, and specify which obsolete warning to silence.

Do you mean, specify precisely which obsolete variable/function(s) not
to warn about? That's probably doable via
byte-compile-not-obsolete-vars/funcs, I'll have a look.

A syntax like this?

(with-suppressed-warnings
    '((obsolete read-file-name-predicate ...) cl-functions ...)
  body)

Although the motivation for this was not _just_ obsolete warnings, and
it might not be so simple to extend your request to eg specific free
variables.